segunda-feira, 31 de janeiro de 2011

Instalando o pgAdmin III 1.12.1 no Slackware

Essa dica vale para o pessoal que usa Slackware com Postgres 9, acho que pode funcionar com outras versões do Slackware,
testei apenas no Slackware 13.1

No próprio site do pgAdmin III www.pgadmin.org não tem a versão mais atual, ainda, (data de publicação desse post),
do mesmo para Slackware ou um tgz e instalar a partir dos fontes é um moido enorme, pois existem algumas dependências de
pacotes a serem instalados(wxGTK 2.8.x, libxml2 2.6.18 e libxslt 1.1.x) antes de fazer ./configure && make && make install, então simplificando...

O macete aqui é baixar uma versão disponibilizada para openSUSE no site oficial do pgAdmin III:
http://postgresql.org/download/mirrors-ftp/pgadmin3/release/v1.12.1/opensuse/11.1/pgadmin3-1.12.1-1.i586.rpm

e transformar em um pacote tgz do Slackware, usando o rpm2tgz que já vem na distro do Slackware, vamos lá!

Usando o konsole...


rpm2tgz pgadmin3-1.12.1-1.i586.rpm 
installpkg pgadmin3-1.12.1-1.i586.tgz


Depois, a critério, é só criar um ícone do pgAdmin no KDE apontando para o diretório-arquivo /bin/pgadmin3
ou executar direto via linha de comando no KDE, ALT + F2 pgadmin3


Espero ter ajudado !

O Peregrino

4 comentários:

  1. Muito bom o tópico! precisei instalar o pgadmin3 12.1 no Debian Squeezy e funcinou direitinho. Para converter o rmp para .deb usei o Alien e em seguida instalei com dpkg -i pacote.deb.

    ps. Só a URL para o pacote .rmp que ta quebrada Emerson, tirando isso muito útil o tópico :)

    ResponderExcluir
    Respostas
    1. URL consertada!! :)

      http://postgresql.org/download/mirrors-ftp/pgadmin3/release/v1.12.1/opensuse/11.1/pgadmin3-1.12.1-1.i586.rpm

      Excluir
  2. Eu uso uma ferramenta gratuita Valentina Estúdio com PostgreSQL no momento. Será que tudo que você precisa, e faz isso muito bem. http://www.valentina-db.com/en/valentina-studio-overview

    ResponderExcluir
  3. Como eu ativo o visualizador de Log do PGAdminIII. Tentei ver pelo Status do Servidor, ele aparece uma mensagem dizendo "O Instrumentador do servidor não esta instalada"

    ResponderExcluir